import 'package:feelverapp/util/SizeConfig.dart';
import 'package:flutter/material.dart';

import 'my_ticket.dart';

class service_tab extends StatefulWidget {
  @override
  _service_tabState createState() => _service_tabState();
}

class _service_tabState extends State<service_tab> with SingleTickerProviderStateMixin{

  TabController controller;
  @override
  void initState() {
    // TODO: implement initState
    super.initState();
    controller = new TabController(length: 4, vsync: this);
    controller.addListener(_handleTabSelection);
  }

  @override
  void dispose() {
    // TODO: implement dispose
    controller.dispose();
    super.dispose();
  }

  void _handleTabSelection() {
    setState(() {
    });
  }

  @override
  Widget build(BuildContext context) {
    SizeConfig(context);
    return Scaffold(
      appBar: PreferredSize(
        preferredSize: Size.fromHeight(140),
        child: AppBar(

//        leading: IconButton(
//          icon: Icon(Icons.arrow_back_ios, color: Colors.white),
//          onPressed: () => Navigator.of(context).pop(),
//        ),

          backgroundColor: Color.fromRGBO(106, 179, 170, 1),
          title: new Text(controller.index==0?'ข้อมูลการจองของฉัน':'ประวัติการใช้บริการของฉัน'
              ,style: TextStyle(
              color: Colors.white,
              fontSize: SizeConfig.getFontSize(20),
              fontFamily: "SF_Pro_Text",
              fontWeight: FontWeight.w500)),
          elevation: 0,
          bottom: getTabBar(),

        ),
      ),
      body: containTab(),
    );
  }


  TabBar getTabBar() {
    return new TabBar(
      indicatorColor: Colors.transparent,
      controller: controller,
      tabs: [
        Container(

          child: new Tab(
            icon: Icon(Icons.assignment,
                color: controller.index == 0
                    ? Colors.yellowAccent: Colors.white),
            child:Text(
              'ข้อมูลร้าน',
              style: TextStyle(
                  color: controller.index == 0
                      ? Colors.yellowAccent: Colors.white,
                  fontSize: 11
              ),
            ),

          ),

        ),
        new Tab(
          icon: Icon(Icons.loyalty,
              color: controller.index == 1
                  ? Colors.yellowAccent: Colors.white),
          child:Text(
            'บริการ',
            style: TextStyle(
                color: controller.index == 1
                    ? Colors.yellowAccent: Colors.white,
                fontSize: 11
            ),
          ),

        ),
        new Tab(
          icon: Icon(Icons.star,
              color: controller.index == 2
                  ? Colors.yellowAccent: Colors.white),
          child:Text(
            'รีวิว',
            style: TextStyle(
                color: controller.index == 2
                    ? Colors.yellowAccent: Colors.white,
                fontSize: 11
            ),
          ),

        ),
        Container(
            width: 200,
            child: Tab(
              icon: Icon(Icons.pin_drop,
                  color: controller.index == 3
                      ? Colors.yellowAccent: Colors.white),
              child:
              Text(
                'สถานที่ใกล้เคียง',maxLines: 1,
                style: TextStyle(
                    color: controller.index == 3
                        ? Colors.yellowAccent: Colors.white,
                    fontSize: 10
                ),


              ),))
      ],
    );
  }

  TabBarView getTabBarView(var tabs) {
    return new TabBarView(
      // Add tabs as widgets
      children: tabs,
      // set the controller
      controller: controller,
    );
  }

  Widget containTab(){
    return WillPopScope(
      ///onWillPop: onWillPop,
      child: getTabBarView(<Widget>[

        myTicketPage(),

        Container(
          width: double.infinity,
          height: double.infinity,
          color: Colors.green,
        ),
        Container(
          width: double.infinity,
          height: double.infinity,
          color: Colors.yellow,
        ),
        Container(
          width: double.infinity,
          height: double.infinity,
          color: Colors.blue,
        ),

      ]),


    );
  }
}
